﻿@model List<JobHunt.BU.DTO.CandidateDTO>
@{
    ViewBag.Title = "Danh sách NTV || JobHunt";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
    var stt = 0;
}
<section class="wrap__content" id="list-customer">
    <div class="listcm main__content" id="list-customer">
        <div class="listcm__top main__banner">
            <div class="row">
                <div class="col-xl-6 col-md-6 col-12">
                    <div class="main__title">
                        <h1 class="main__title--content">Danh sách thành viên người tìm việc</h1>
                    </div>
                </div>
                <div class="col-xl-6 col-md-6 col-12">

                    <div class="banner-interactive">
                        <ul class="interactive__btn group-btn">
                            <li>
                                <a class="customer-add customer-btn__add" href="@Url.Action("createcandidate","candidatemanagement")">
                                    Thêm
                                </a>
                            </li>
                            <li>
                                <a class="exportexcel--btn exportexcelcandidate" id="CandidateManagement">Xuất</a>
                                @using (Html.BeginForm("exporttoexcel", "candidatemanagement", FormMethod.Post, new { @class = "disabled", id = "ExportExcel" }))
                                {
                                    <input type="text" value="" class="valuesearch" name="keyWord" />
                                    <input type="text" value="" class="valuestatus" name="Status" />
                                    <input type="submit" value="Xuất" class="exportexcel" />
                                }
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="clear-fix"></div>
            </div>
        </div>
        <div class="listcm__content main__list">

            <div class="list__content main__list--content gridcm">
                <div class="table__content">
                    <table id="example" class="display textable" style="width:100%">
                        <thead>
                            <tr>
                                <th>STT</th>
                                <th>Tên đăng nhập</th>
                                <th>Tên đầy đủ</th>
                                <th>Ngày đăng ký</th>
                                <th>Vị trí tìm việc</th>
                                @*<th>Tỉnh/Thành phố</th>*@
                                <th>Trạng thái</th>
                                <th>Hành động</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.Count > 0)
                            {
                                foreach (var cdd in Model)
                                {
                                    stt++;
                            <tr role="row" class="odd textable" id="trcdd@(cdd.CandidateId)">
                                <td class="sorting_1">@stt</td>
                                <td class="username">@cdd.CddUserName</td>
                                <td>@cdd.CddFullName</td>
                                <td>@cdd.CddRegisterDate.Value.ToShortDateString()</td>
                                @if (cdd.ProfessionDTO != null)
                                {
                                    <td>@cdd.ProfessionDTO.PFName</td>
                                }
                                else
                                {
                                    <td></td>
                                }
                                @*@if (cdd.CityDTO != null)
                                {
                                    <td>@cdd.CityDTO.CName</td>
                                }
                                else
                                {
                                    <td></td>
                                }*@
                                <td>@cdd.statusString</td>
                                <td class="option text-center">
                                    <a title="Xóa" class="btn btn-primary btn-update-cdd btn-del-control" href="@Url.Action("DetailCandidate","candidatemanagement", new { id = cdd.CandidateId })">
                                        <i class="far fa-edit"></i>
                                    </a>
                                    <a title="Xóa" class="btn danger btn-del-cdd btn-del-control" input-id-cdd="@cdd.CandidateId" page-cdd="list" data-toggle="modal" data-target="#exampleModalCenter">
                                        <i class="far fa-trash-alt"></i>
                                    </a>
                                </td>
                            </tr>
                                }
                            }
                        </tbody>
                    </table>
                </div>

            </div>
        </div>

        @* Popup delete *@
        <!-- Modal -->
        <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Xóa tài khoản</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Bạn có chắc chắn muốn xóa tài khoản <span id="namedelete"></span> không?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                        <button type="button" class="btn btn-primary" id="btn-yes-delete-cdd">Đồng ý</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

